An account contains attributes describing a customer's account. This description contains mostly read only data; however, a few properties can be modified with the API.
This endpoint returns information about your account.
| Verb | URI | Description | |||||
| GET | /account | Returns account information. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.1. Get Account Response: XML
<?xml version="1.0" encoding="utf-8"?>
<account id="someId">
<metadata>
<key>aValue</key>
</metadata>
<webhook_token>token12345</webhook_token>
</account>
Example 4.2. Get Account Response: JSON
{
"id": "someId",
"metadata": {
"key": "aValue"
},
"webhook_token": "token12345"
}
| Verb | URI | Description | |||||
| PUT | /account | Update properties on an account. | |||||
The following table contains the list of attributes that are allowed to be modified with an Account object.
| Name | Description | Validation |
| metadata | Arbitrary key/value pairs. |
|
| webhook_token |
|
Normal Response Code: (204) This code contains no content with an empty response body.
Error Response Codes: 400, 401, 403, 404, 500, 503
Example 4.3. Update Account Request: XML
Normal Response Code: (204) This operation does not contain a response body.
Error Response Code: 500
<?xml version="1.0" encoding="utf-8"?> <account> <webhook_token>test123456</webhook_token> </account>
This endpoint returns resource and rate limits that apply to your account.
| Verb | URI | Description | |||||
| GET | /limits | Returns account resource limits. | |||||
There are no parameters for this call.
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.5. Get Limits Response: XML
<?xml version="1.0" encoding="utf-8"?>
<limit>
<resource>
<checks>150</checks>
<alarms>50</alarms>
</resource>
<rate>
<global>
<limit>50000</limit>
<used>500</used>
<window>24 hours</window>
</global>
<test_check>
<limit>500</limit>
<used>5</used>
<window>24 hours</window>
</test_check>
<test_alarm>
<limit>500</limit>
<used>2</used>
<window>24 hours</window>
</test_alarm>
</rate>
</limit>
Example 4.6. Get Limits Response: JSON
{
"resource": {
"checks": 150,
"alarms": 50
},
"rate": {
"global": {
"limit": 50000,
"used": 500,
"window": "24 hours"
},
"test_check": {
"limit": 500,
"used": 5,
"window": "24 hours"
},
"test_alarm": {
"limit": 500,
"used": 2,
"window": "24 hours"
}
}
}
Rackspace Cloud Monitoring records every write operation in an audit. See Audits for more information on how audits are recorded.
Audits are accessible as a Time Series Collection. By default the API queries the last 7 days of audit information.
| Verb | URI | Description | |||||
| GET | /audits | Lists audits for this account. | |||||
Normal Response Code: 200
Error Response Codes: 401, 403, 500, 503
Example 4.7. Audit List Response: XML
<?xml version="1.0" encoding="utf-8"?>
<container>
<values>
<audit id="84428400-0b26-11e1-9dd4-d7e69257c9a7">
<headers>
<host>127.0.0.1</host>
<user-agent>ele-client/ae0a53c</user-agent>
<accept>application/xml</accept>
<content-type>application/xml</content-type>
<x-auth-token>917ac3575c29e2f27e7236836a732615d62e416d4aead4d5</x-auth-token>
<content-length>254</content-length>
<connection>close</connection>
</headers>
<url>/v1.0/entities</url>
<app>entities</app>
<query/>
<txnId>.rh-nzQM.h-ele.r-Kxysr1TO.c-189.ts-1320879585331.v-ae0a53c</txnId>
<payload>{"label":"0NwhqrC05xKh22OEYZhcQdwkw","ip_addresses":{"default":"10.0.0.2"},"metadata":{"all":"kinds","of":"stuff","can":"go","here":"null is not a valid value"}}</payload>
<method>POST</method>
<account_id>frank</account_id>
<who/>
<why/>
<statusCode>201</statusCode>
</audit>
<audit id="849f22f0-0b26-11e1-9dd4-d7e69257c9a7">
<headers>
<host>127.0.0.1</host>
<user-agent>ele-client/ae0a53c</user-agent>
<accept>application/xml</accept>
<content-type>application/xml</content-type>
<x-auth-token>917ac3575c29e2f27e7236836a732615d62e416d4aead4d5</x-auth-token>
<content-length>51</content-length>
<connection>close</connection>
</headers>
<url>/v1.0/entities/enuAc9qZRB</url>
<app>entities</app>
<query/>
<txnId>.rh-nzQM.h-ele.r-lobnFBE4.c-195.ts-1320879585945.v-ae0a53c</txnId>
<payload>{"label":"testing.example.com"}</payload>
<method>PUT</method>
<account_id>frank</account_id>
<who/>
<why/>
<statusCode>204</statusCode>
</audit>
</values>
<metadata>
<count>2</count>
<limit>50</limit>
<marker/>
<next_marker/>
<next_href/>
</metadata>
</container>
Example 4.8. Audit List Response: JSON
{
"values": [
{
"id": "84428400-0b26-11e1-9dd4-d7e69257c9a7",
"headers": {
"host": "127.0.0.1",
"user-agent": "ele-client/ae0a53c",
"accept": "application/xml",
"content-type": "application/xml",
"x-auth-token": "917ac3575c29e2f27e7236836a732615d62e416d4aead4d5",
"content-length": 254,
"connection": "close"
},
"url": "/v1.0/entities",
"app": "entities",
"query": null,
"txnId": ".rh-nzQM.h-ele.r-Kxysr1TO.c-189.ts-1320879585331.v-ae0a53c",
"payload": "{\"label\":\"0NwhqrC05xKh22OEYZhcQdwkw\",\"ip_addresses\":{\"default\":\"10.0.0.2\"},\"metadata\":{\"all\":\"kinds\",\"of\":\"stuff\",\"can\":\"go\",\"here\":\"null is not a valid value\"}}",
"method": "POST",
"account_id": "frank",
"who": null,
"why": null,
"statusCode": 201
},
{
"id": "849f22f0-0b26-11e1-9dd4-d7e69257c9a7",
"headers": {
"host": "127.0.0.1",
"user-agent": "ele-client/ae0a53c",
"accept": "application/xml",
"content-type": "application/xml",
"x-auth-token": "917ac3575c29e2f27e7236836a732615d62e416d4aead4d5",
"content-length": 51,
"connection": "close"
},
"url": "/v1.0/entities/enuAc9qZRB",
"app": "entities",
"query": null,
"txnId": ".rh-nzQM.h-ele.r-lobnFBE4.c-195.ts-1320879585945.v-ae0a53c",
"payload": "{\"label\":\"testing.example.com\"}",
"method": "PUT",
"account_id": "frank",
"who": null,
"why": null,
"statusCode": 204
}
],
"metadata": {
"count": 2,
"limit": 50,
"marker": null,
"next_marker": null,
"next_href": null
}
}

